<div class="multiform" id="settings-form">
	<ul class="hor-menu noselect nostyle" id="settings-menu">
		<li class="item hl-bottom" id="general">Редактировать клиента</li>
	</ul>
	<div class="content">
		<div class="modal-message" style="display: none;"><div class="message-box"></div></div>
		<div class="sections">
			{% if user.role.permissions.CLIENTS_READ %}
				<div class="section">
					<form id="client-edit" method="post" action="/clients/client/{{ client.id }}/edit/">
						{% csrf_token %}
						<div class="input-field">
							<input type="text" name="name" value="{{ client.name }}">
							<span class="highlight"></span>
							<span class="bar"></span>
							<label>Имя</label>
						</div>
						<div class="input-field">
							<input type="text" name="number" value="{{ client.number }}" required>
							<span class="highlight"></span>
							<span class="bar"></span>
							<label>Номер телефона</label>
						</div>
						<div class="submit-container">
							<button id="client-delete" class="button" form="">Удалить</button>
							<button class="button" form="client-edit" type="submit">Сохранить</button>
						</div>
					</form>
				</div>
				{% if user.role.permissions.CLIENTS_COMMENTS_ADD %}
					<div class="underline"></div>
					<p>Дополнительные сведения:</p>
					<div class="section">
						<form id="comment-form" method="post" action="/clients/client/{{ client.id }}/comment/">
							{% csrf_token %}
							<input id="label" class="hidden" type="text" name="label">
							<div class="section">
								<textarea class="rich-text" type="text" name="text" placeholder="Информация о клиенте" required></textarea>
							</div>
							<div class="submit-container">
								<div class="label-menu" aria-label="Выберите иконку" data-microtip-position="top" role="tooltip">
									<div id="selected" class="item far fa-edit" name="far fa-edit"></div>
									<div id="hidden" class="item far fa-address-card" name="far fa-address-card"></div>
									<div id="hidden" class="item fas fa-map-marked-alt" name="fas fa-map-marked-alt"></div>
									<div id="hidden" class="item far fa-bookmark" name="far fa-bookmark"></div>
									<div id="hidden" class="item fas fa-balance-scale" name="fas fa-balance-scale"></div>
									<div id="hidden" class="item far fa-comment" name="far fa-comment"></div>
									<div id="hidden" class="item fas fa-business-time" name="fas fa-business-time"></div>
									<div id="hidden" class="item far fa-clock" name="far fa-clock"></div>
									<div id="hidden" class="item fas fa-tag" name="fas fa-tag"></div>
									<div id="hidden" class="item fas fa-clipboard-list" name="fas fa-clipboard-list"></div>
									<div id="hidden" class="item far fa-calendar-check" name="far fa-calendar-check"></div>
									<div id="hidden" class="item fas fa-beer" name="fas fa-beer"></div>
									<div id="hidden" class="item fas fa-car" name="fas fa-car"></div>
									<div id="hidden" class="item fas fa-dolly-flatbed" name="fas fa-dolly-flatbed"></div>
									<div id="hidden" class="item fas fa-info" name="fas fa-info"></div>
									<div id="hidden" class="item fas fa-exclamation" name="fas fa-exclamation"></div>
									<div id="hidden" class="item far fa-grin-beam" name="far fa-grin-beam"></div>
									<div id="hidden" class="item far fa-frown" name="far fa-frown"></div>
									<div id="hidden" class="item far fa-angry" name="far fa-angry"></div>
									<div id="hidden" class="item far fa-times-circle" name="far fa-times-circle"></div>
									<div id="hidden" class="item far fa-thumbs-up" name="far fa-thumbs-up"></div>
									<div id="hidden" class="item far fa-thumbs-down" name="far fa-thumbs-down"></div>
									<div id="hidden" class="item far fa-hdd" name="far fa-hdd"></div>
									<div id="hidden" class="item far fa-credit-card" name="far fa-credit-card"></div>
									<div id="hidden" class="item far fa-building" name="far fa-building"></div>
								</div>
								<button class="button" id="comment-add" form="comment-form" type="submit">Добавить</button>
								<button class="button hidden" id="comment-save" form="comment-form" type="submit">Сохранить</button>
								<button class="button hidden" id="comment-cancel" form="">Отмена</button>
							</div>
						</form>
					</div>
				{% endif %}
				{% if user.role.permissions.CLIENTS_COMMENTS_READ %}
					{% if comments.count > 0 %}
						<div class="underline"></div>
						<div class="section comments">
							{% for comment in comments %}
								<div class="comment" id="{{ comment.id }}">
									<div class="author">{{ comment.user.name }}<i></i>
										{% if comment.user == user or user.role.permissions.CLIENTS_COMMENTS_EDIT %}
											<div class="small-btn-container">
												<div class="small-btn" id="edit"><div class="fas fa-pen"></div></div>
												<div class="small-btn" id="delete"><div class="far fa-trash-alt"></div></div>
											</div>
										{% endif %}
									</div>
									<div class="text"><div class="label {{ comment.label }}" name="{{ comment.label }}"></div>{{ comment.text }}</div>
									<script>
										var date = moment.unix({{ comment.time }});
										$(".comment#{{ comment.id }} i").html(date.fromNow());
									</script>
								</div>
							{% endfor %}
						</div>
					{% endif %}
				{% endif %}
			{% else %}
				<h2>У вас недостаточно прав для просмотра этой страницы.</h2>
			{% endif %}
		</div>
	</div>
</div>
<script>
	$("input[name=number]").inputmask({"mask": "+9999999999999999999", placeholder: ''});

	// ------- Client -------
	$(function() {
		$("form#client-edit").submit(function(e) {
			e.preventDefault();
			modalMessage();
			var form = $(this);
			var posting = $.post(form.attr('action'), form.serialize());
			posting.done(function(data) {
				modalMessage(data);
				location.reload();
			});
			posting.fail(function(data) {
				modalMessage(data['responseText']);
			});
		});
	});
	var confirmed = false;
	$("button#client-delete").click(function(){
		if (confirmed) {
			var posting = $.post('/clients/client/{{ client.id }}/delete/', {'csrfmiddlewaretoken': '{{ csrf_token }}'});
			posting.done(function(data) {
				modalMessage(data);
				location.reload();
			});
			posting.fail(function(data) {
				modalMessage(data['responseText']);
			});
		} else {
			$("button#client-delete").html("Вы уверены?");
			confirmed = true;
		}
	});

	// ------ Comments ------
	$(function() {
		$("form#comment-form").submit(function(e){
			e.preventDefault();
			modalMessage();
			var form = $(this);
			var posting = $.post(form.attr('action'), form.serialize());
			$("textarea").val('');
			posting.done(function(data) {
				modalGet('/clients/client/{{ client.id }}/edit/', data);
			});
			posting.fail(function(data) {
				modalMessage(data['responseText']);
			});
		});
	});
	$(".comment .small-btn#delete").click(function(){
		var commentId = $(this).closest('.comment').attr('id');
		var posting = $.post('/clients/client/{{ client.id }}/comment/'+commentId+'/delete/', {'csrfmiddlewaretoken':'{{ csrf_token }}'});
		posting.done(function(data) {
			modalGet('/clients/client/{{ client.id }}/edit/', data);
		});
		posting.fail(function(data) {
			modalMessage(data['responseText']);
		});
	});
	$(".comment .small-btn#edit").click(function(){
		var commment = $(this).closest('.comment');
		var id = commment.attr('id');
		var text = commment.find('.text').text();
		var label = commment.find('.label').attr('name');
		$("form#comment-form").attr("action", "/clients/client/{{ client.id }}/comment/"+id+"/edit/");
		$("form#comment-form textarea").val(text);
		$("form#comment-form textarea").css('height', commment.find('.text').height()+'px');
		$("form#comment-form button#comment-add").addClass('hidden');
		$("form#comment-form button#comment-save").removeClass('hidden');
		$("form#comment-form button#comment-cancel").removeClass('hidden');
		$(".modal-container").scrollTop($(".section").height()+143);
		$(".label-menu .item").attr('id', 'hidden');
		$(".label-menu .item[name='"+label+"']").attr('id', 'selected');
		$("input#label").val(label);
	});
	$("form#comment-form button#comment-cancel").click(function(){
		$("form#comment-form").attr("action", "/clients/client/{{ client.id }}/comment/");
		$("form#comment-form textarea").val('');
		$("form#comment-form textarea").css('height', '40px');
		$("form#comment-form button#comment-add").removeClass('hidden');
		$("form#comment-form button#comment-save").addClass('hidden');
		$("form#comment-form button#comment-cancel").addClass('hidden');
		$(".label-menu .item").attr('id', 'hidden');
		$(".label-menu .item").first().attr('id', 'selected');
		$("input#label").val($(".label-menu .item").first().attr('name'));
	});

	$("input#label").val($(".label-menu .item#selected").attr('name'));
	$('.label-menu .item').on('click', function() {
		if ($(".label-menu .item#hidden").length != 0) {
			$(".label-menu .item#hidden").attr('id', '');
		} else {
			$(".label-menu .item").attr('id', 'hidden');
		}
		$(this).attr('id', 'selected');
		$("input#label").val($(this).attr('name'));
	})

	if ('{{ err }}' != '') {
		var msg = '{{ err }}';
	}
	modalMessage(msg);
</script>